### Class

# WebKit2 Notification

since: 2.8

#### Description [src]

    class WebKit2.Notification : GObject.Object
    {
      priv: WebKitNotificationPrivate*
    }

Holds information about a notification that should be shown to the user.

Available since: 2.8

#### Ancestors

- GObject

#### Instance methods

###### webkit_notification_clicked

Tells WebKit the notification has been clicked.

since: 2.12

###### webkit_notification_close

Closes the notification.

since: 2.8

###### webkit_notification_get_body

Obtains the body for the notification.

since: 2.8

###### webkit_notification_get_id

Obtains the unique id for the notification.

since: 2.8

###### webkit_notification_get_tag

Obtains the tag identifier for the notification.

since: 2.16

###### webkit_notification_get_title

Obtains the title for the notification.

since: 2.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.Notification:body

The body for the notification.

since: 2.8

###### WebKit2.Notification:id

The unique id for the notification.

since: 2.8

###### WebKit2.Notification:tag

The tag identifier for the notification.

since: 2.16

###### WebKit2.Notification:title

The title for the notification.

since: 2.8

#### Signals

###### WebKit2.Notification::clicked

Emitted when a notification has been clicked. See webkit_notification_clicked().

since: 2.12

###### WebKit2.Notification::closed

Emitted when a notification has been withdrawn.

since: 2.8

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2NotificationClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );
      void (* _webkit_reserved4) (
    void
      );
      void (* _webkit_reserved5) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_webkit_reserved0: void (* _webkit_reserved0) ( void )`

  No description available.

`_webkit_reserved1: void (* _webkit_reserved1) ( void )`

  No description available.

`_webkit_reserved2: void (* _webkit_reserved2) ( void )`

  No description available.

`_webkit_reserved3: void (* _webkit_reserved3) ( void )`

  No description available.

`_webkit_reserved4: void (* _webkit_reserved4) ( void )`

  No description available.

`_webkit_reserved5: void (* _webkit_reserved5) ( void )`

  No description available.